Create automation
curl --request POST \
--url https://api.docsautomator.co/createAutomation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Invoice Generator",
"dataSourceName": "API",
"docTemplateLink": "https://docs.google.com/document/d/1abc.../edit"
}
'{
"message": "success",
"newAutomation": {
"_id": "<string>",
"title": "<string>",
"dataSource": {
"name": "<string>"
},
"dataSourceName": "<string>",
"docTemplateLink": "<string>",
"newDocumentNameField": "<string>",
"isActive": true,
"saveGoogleDoc": true,
"locale": "<string>",
"formatNumbersWithLocale": true,
"pdfExpiration": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"lastPreviewPdf": "<string>"
}
}Automations
Create automation
Creates a new automation with the specified data source and optional Google Doc template. PDF templates are uploaded through the DocsAutomator app.
POST
/
createAutomation
Create automation
curl --request POST \
--url https://api.docsautomator.co/createAutomation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Invoice Generator",
"dataSourceName": "API",
"docTemplateLink": "https://docs.google.com/document/d/1abc.../edit"
}
'{
"message": "success",
"newAutomation": {
"_id": "<string>",
"title": "<string>",
"dataSource": {
"name": "<string>"
},
"dataSourceName": "<string>",
"docTemplateLink": "<string>",
"newDocumentNameField": "<string>",
"isActive": true,
"saveGoogleDoc": true,
"locale": "<string>",
"formatNumbersWithLocale": true,
"pdfExpiration": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"lastPreviewPdf": "<string>"
}
}Authorizations
API key from your workspace settings. Pass as Authorization: Bearer <key> or X-API-Key: <key>. Find it at app.docsautomator.co/settings/workspace/api.
Body
application/json
Last modified on May 26, 2026
⌘I